<?php
/**
 * Plugin Name: Elementor WooCommerce Gallery
 * Description: Galeria personalizada para WooCommerce com Elementor
 * Version: 1.0.0
 * Author: Seu Nome
 */

if (!defined('ABSPATH')) exit;

final class Elementor_WooCommerce_Gallery {

    private static $_instance = null;

    public static function instance() {
        if (is_null(self::$_instance)) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }

    public function __construct() {
        add_action('plugins_loaded', [$this, 'init']);
    }

    public function init() {
        // Verifica se Elementor e WooCommerce estão ativos
        if (!did_action('elementor/loaded') || !function_exists('WC')) return;

        // Carrega os widgets
        add_action('elementor/widgets/register', [$this, 'register_widgets']);
        add_action('elementor/frontend/after_enqueue_styles', [$this, 'enqueue_styles']);
    }

    public function register_widgets($widgets_manager) {
        require_once(__DIR__ . '/widgets/woocommerce-gallery.php');
        $widgets_manager->register(new \Elementor_WooCommerce_Gallery_Widget());
    }

    public function enqueue_styles() {
        wp_enqueue_style(
            'ewg-styles',
            plugins_url('/assets/css/ewg-styles.css', __FILE__),
            [],
            '1.0.0'
        );
    }
}

Elementor_WooCommerce_Gallery::instance();